Loading...
Searching...
No Matches
BALL::ScoreGridSet Class Reference

`#include <BALL/SCORING/COMMON/scoreGridSet.h>`

## Public Member Functions

| ScoreGridSet (GridBasedScoring *gbs, Vector3 &v_origin, Vector3 &size, double &resolution)
| ScoreGridSet (GridBasedScoring *gbs)
| ScoreGridSet (ScoreGridSet *sgs)
| ScoreGridSet ()
| ~ScoreGridSet ()
void | operator+= (ScoreGridSet &sgs)
void | operator-= (ScoreGridSet &sgs)
void | clearData ()
ScoreGrid & | operator[] (int i)
void | binaryWrite (std::ostream &output)
void | binaryRead (std::istream &input)
void | saveToFile (std::ostream &output, String receptor_name)
void | readFromFile (std::istream &input)
void | setHashGrid (HashGrid3< Atom * > *hashgrid)
HashGrid3< Atom * > * | getHashGrid ()
void | transform (TMatrix4x4< float > &t)
void | moveTo (Vector3 &destination)
double | getGridScore (Size grid, Vector3 position, bool interpolation)
Size | sizeX ()
Size | sizeY ()
Size | sizeZ ()
Size | noGrids ()
void | enable ()
void | disable ()
bool | isEnabled ()
Vector3 | getOrigin ()
Vector3 | getCenter ()
std::list< std::pair< String, BALL::RegularData3D * > > | convertToRegularData3DGrids ()
PharmacophoreConstraint * | getPharmacophoreConstraint ()
void | setPharmacophoreConstraint (PharmacophoreConstraint *phc)
void | setParameters (bool enforce_grid_boundaries, double out_of_grid_penalty, double interaction_no_scale)

## Public Attributes

String | name
Size | reference_interactions
double | interaction_no_scale_

## Friends

class | GridBasedScoring

## Detailed Description

A ScoreGridSet is a set of grids that describes a specified area with one Grid for each AtomType

Definition at line 22 of file scoreGridSet.h.

## Constructor & Destructor Documentation

## ScoreGridSet() [1/4]

BALL::ScoreGridSet::ScoreGridSet | ( | GridBasedScoring * | gbs,
|  | Vector3 & | v_origin,
|  | Vector3 & | size,
|  | double & | resolution )

constructor. create a ScoreGridSet with the given given resolution, starting at the specified origin.

Parameters

  size | the number of cells on each axis

## ScoreGridSet() [2/4]

BALL::ScoreGridSet::ScoreGridSet | ( | GridBasedScoring * | gbs | ) |

## ScoreGridSet() [3/4]

BALL::ScoreGridSet::ScoreGridSet | ( | ScoreGridSet * | sgs | ) |

creates a ScoreGridSet by use of an existing ScoreGridSet.
This can be helpful for using several ScoreGridSets for the same molecule .

## ScoreGridSet() [4/4]

BALL::ScoreGridSet::ScoreGridSet | ( |  | ) |

Constructor for using a ScoreGridSet independent of a ScoringFunction. Use it only if you just want to read/write/examine grids without using the grids during scoring/docking.

## ~ScoreGridSet()

BALL::ScoreGridSet::~ScoreGridSet | ( |  | ) |

## Member Function Documentation

## binaryRead()

void BALL::ScoreGridSet::binaryRead | ( | std::istream & | input | ) |

## binaryWrite()

void BALL::ScoreGridSet::binaryWrite | ( | std::ostream & | output | ) |

## clearData()

void BALL::ScoreGridSet::clearData | ( |  | ) |

Reset all grid cells to zero.

## convertToRegularData3DGrids()

std::list< std::pair< String, BALL::RegularData3D * > > BALL::ScoreGridSet::convertToRegularData3DGrids | ( |  | ) |

Converts the content of this object to RegularData3D grids, e.g. for visualization purposes. For each atom type, one RegularData3D grid is created.

Returns
  a list containing pairs of grid name and RegularData3D*.

## disable()

void BALL::ScoreGridSet::disable | ( |  | ) |

disables the current ScoreGridSet, so that is is not taken into account when calculating scores

## enable()

void BALL::ScoreGridSet::enable | ( |  | ) |

enables the current ScoreGridSet, so that is is taken into account when calculating scores

## getCenter()

Vector3 BALL::ScoreGridSet::getCenter | ( |  | ) |

return the geometrical center of this ScoreGridSet

## getGridScore()

double BALL::ScoreGridSet::getGridScore | ( | Size | grid,
|  | Vector3 | position,
|  | bool | interpolation )

fetches the score for a given atom position from the specified ScoreGrid.

Parameters

  if | set to true, linear interpolation between the neighboring grid cells is done

## getHashGrid()

HashGrid3< Atom * > * BALL::ScoreGridSet::getHashGrid | ( |  | ) |

## getOrigin()

Vector3 BALL::ScoreGridSet::getOrigin | ( |  | ) |

return the origin of this ScoreGridSet

## getPharmacophoreConstraint()

PharmacophoreConstraint * BALL::ScoreGridSet::getPharmacophoreConstraint | ( |  | ) |

## isEnabled()

bool BALL::ScoreGridSet::isEnabled | ( |  | ) |

## moveTo()

void BALL::ScoreGridSet::moveTo | ( | Vector3 & | destination | ) |

moves ( == translates, no rotation) the ScoreGridSet in such a way, that its center will be located at the given destination

## noGrids()

Size BALL::ScoreGridSet::noGrids | ( |  | ) |

## operator+=()

void BALL::ScoreGridSet::operator+= | ( | ScoreGridSet & | sgs | ) |

Add values of the given ScoreGridSet to this ScoreGridSet. Cells of the given ScoreGridSet that are locate outside of the range of this ScoreGridSet will be ignored ! Note that in order to be able to use this function, both ScoreGridSets must have been created for the same atom types!

## operator-=()

void BALL::ScoreGridSet::operator-= | ( | ScoreGridSet & | sgs | ) |

Substracts values of the given ScoreGridSet from this ScoreGridSet. Cells of the given ScoreGridSet that are locate outside of the range of this ScoreGridSet will be ignored ! Note that in order to be able to use this function, both ScoreGridSets must have been created for the same atom types!

## operator[]()

ScoreGrid & BALL::ScoreGridSet::operator[] | ( | int | i | ) |

## readFromFile()

void BALL::ScoreGridSet::readFromFile | ( | std::istream & | input | ) |

## saveToFile()

void BALL::ScoreGridSet::saveToFile | ( | std::ostream & | output,
|  | String | receptor_name )

## setHashGrid()

void BALL::ScoreGridSet::setHashGrid | ( | HashGrid3< Atom * > * | hashgrid | ) |

## setParameters()

void BALL::ScoreGridSet::setParameters | ( | bool | enforce_grid_boundaries,
|  | double | out_of_grid_penalty,
|  | double | interaction_no_scale )

## setPharmacophoreConstraint()

void BALL::ScoreGridSet::setPharmacophoreConstraint | ( | PharmacophoreConstraint * | phc | ) |

## sizeX()

Size BALL::ScoreGridSet::sizeX | ( |  | ) |

## sizeY()

Size BALL::ScoreGridSet::sizeY | ( |  | ) |

## sizeZ()

Size BALL::ScoreGridSet::sizeZ | ( |  | ) |

## transform()

void BALL::ScoreGridSet::transform | ( | TMatrix4x4< float > & | t | ) |

## Friends And Related Symbol Documentation

## GridBasedScoring

friend class GridBasedScoring

friend

Definition at line 177 of file scoreGridSet.h.

## Member Data Documentation

## interaction_no_scale_

double BALL::ScoreGridSet::interaction_no_scale_

Definition at line 114 of file scoreGridSet.h.

## name

String BALL::ScoreGridSet::name

Definition at line 109 of file scoreGridSet.h.

## reference_interactions

Size BALL::ScoreGridSet::reference_interactions

the average number of interactions per reference ligand atom

Definition at line 112 of file scoreGridSet.h.